Procedure for YANG SID Allocation
Alexander Pelov
IMT Atlantique
2bis rue de la Chataigneraie
Cesson-Sévigné
35536
France
alexander.pelov@imt-atlantique.fr
05 November 2024
This document defines a standardized procedure for the allocation of YANG SID Ranges (YANG Schema Item iDentifier ranges) and the subsequent assignment of SIDs for IETF RFCs with YANG files.
Introduction
This document defines a standardized procedure for the allocation of YANG SID Ranges (YANG Schema Item iDentifier ranges) and the subsequent assignment of SIDs for IETF RFCs with YANG files.
In the vast majority of cases this is a straightforward process which can be fully automated. However, as YANG SIDs are immutable, this document provides a formal procedure to follow to make sure that the WG that has created the YANG file would have the chance to review the proposed SID allocation.
The process involves collaboration among authors, working group (WG) chairs, and WG members to agree on SID ranges, request allocations from IANA, propose and review SID files, and validate these files through WG consensus. Once validated, the SID files are submitted to IANA for publication, ensuring a coordinated and transparent approach to SID management within the IETF framework.
Procedure
This is an outline of the procedure.

Procedure.

+-------------------------------------------------------------+
|                        Procedure Overview                   |
+-------------------------------------------------------------+
|                                                             |
| Step 0: Agreement on SID Range                              |
|   - Authors, Chairs, WG discuss and agree on SID range      |
|   - Validate range via ML discussion and interim meeting    |
|                                                             |
+----------------------------+--------------------------------+
                             |
                             v
                   <Wait for WG consensus>
                             |
                             v
+----------------------------+--------------------------------+
|                                                             |
| Step 1: Request SID Range Allocation from IANA              |
|   - Authors request allocation from IETF YANG SID Range     |
|     registry                                                |
|   - Continue WG process while awaiting IANA allocation      |
|                                                             |
+----------------------------+--------------------------------+
                             |
                             v
+----------------------------+--------------------------------+
|                                                             |
| Step 2: Propose Allocation Principles                       |
|   - Authors propose SID allocation principles (e.g., PYANG) |
|                                                             |
+----------------------------+--------------------------------+
                             |
                             v
+----------------------------+--------------------------------+
|                                                             |
| Step 3: Propose SID Files                                   |
|   - Authors propose SID files based on allocated range      |
|   - Send SID files to WG mailing list for review            |
|                                                             |
+----------------------------+--------------------------------+
                             |                              ^
        <Wait for IANA allocation of IETF YANG SID Range>   |
                             |                              |
            <SID Range allocated as requested?> >---- no ---+
                             |
                             v
+----------------------------+--------------------------------+
|                                                             |
| Step 4: WGLC on SID File Allocation                         |
|   - Chairs initiate WGLC                                    |
|   - Step 4.1: Validate PYANG allocation if no objections    |
|   - Step 4.2: Validate manual allocation with WG consensus  |
|                                                             |
+----------------------------+--------------------------------+
                             |
                   <Wait for validation>
                             |
                             v
+----------------------------+--------------------------------+
|                                                             |
| Step 5: Submission to IANA                                  |
|   - Authors send validated SID file to IANA for publication |
|   - Indicate validation by WG                               |
|                                                             |
+-------------------------------------------------------------+

Agreement on SID Range
Authors, chairs, and the WG agree on the SID range to be requested for the existing RFCs with YANG files. This can be accomplished through a discussion on the mailing list (ML) followed by a vote in an interim meeting. A simple show of hands is sufficient for validation of this range.
Authors Request SID Range Allocation from IANA
Authors request the allocation of the agreed SID ranges from the IETF YANG SID Range registry maintained by IANA.
Nota: The WG process can continue while waiting for the allocation. It is important to consider that IANA may allocate a different range, and all discussions regarding the exact SID values should be considered provisional.
Authors Propose Allocation Principles
The authors propose the principles for SID allocation. This could involve a default SID allocation using PYANG, or a manual one.
Authors Propose SID Files
The authors of the RFCs propose SID files based on the allocated range and send them to the WG mailing list for review.
Working Group Last Call (WGLC) on SID File Allocation
The chairs initiate a WGLC on the SID file allocation.
Default PYANG Allocation
If the default SID allocation with PYANG is used and no objections are raised on the mailing list, the SID allocation is validated.
Manual/Non-PYANG Allocation
If a manual or non-PYANG allocation is used, there must be rough consensus in the WG for the SID allocation to be validated.
Submission to IANA
Once the SID allocation is validated, the authors send the SID file to IANA for publication, indicating that the SID file has been validated by the WG.
References
The IETF documents referred to here are [RFC8724] and [I-D.ietf-core-sid].
Security Considerations
No security considerations.
IANA Considerations
This document describes a procedure, which manages the process of requesting YANG SID Ranges and YANG SID files from IANA.
It may be taken in consideration by the expert reviewing the allocation requests.

Normative References

Informative References
[RFC8724]
[I-D.ietf-core-sid]